aboutsummaryrefslogtreecommitdiffstats
path: root/toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch
diff options
context:
space:
mode:
authorMike Baker <mbm@openwrt.org>2005-01-16 11:43:02 +0000
committerMike Baker <mbm@openwrt.org>2005-01-16 11:43:02 +0000
commit1ca99c8bcfa96041185848b2efef6953189f503f (patch)
tree85d694c0a5715a49a401cadec16be849169d8d6a /toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch
downloadmaster-187ad058-1ca99c8bcfa96041185848b2efef6953189f503f.tar.gz
master-187ad058-1ca99c8bcfa96041185848b2efef6953189f503f.tar.bz2
master-187ad058-1ca99c8bcfa96041185848b2efef6953189f503f.zip
Initial revision
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@197 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch')
-rw-r--r--toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch42
1 files changed, 42 insertions, 0 deletions
diff --git a/toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch b/toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch
new file mode 100644
index 0000000000..f5a3199168
--- /dev/null
+++ b/toolchain/binutils/2.15.92.0.2/300-117_mips_symbolic_link.patch
@@ -0,0 +1,42 @@
+#! /bin/sh -e
+## 117_mips_symbolic_link.dpatch
+##
+## DP: Description: Handle symbolic multigot links. (#270619)
+## DP: Author: Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
+## DP: Upstream status: Not submitted
+## DP: Date: 2004-09-08
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urpN binutils-2.15.orig/bfd/elfxx-mips.c binutils-2.15/bfd/elfxx-mips.c
+--- binutils-2.15.orig/bfd/elfxx-mips.c 2004-05-17 21:36:03.000000000 +0200
++++ binutils-2.15/bfd/elfxx-mips.c 2004-08-29 08:48:22.000000000 +0200
+@@ -3909,10 +3910,7 @@ mips_elf_create_dynamic_relocation (bfd
+ /* We must now calculate the dynamic symbol table index to use
+ in the relocation. */
+ if (h != NULL
+- && (! info->symbolic || !h->root.def_regular)
+- /* h->root.dynindx may be -1 if this symbol was marked to
+- become local. */
+- && h->root.dynindx != -1)
++ && (!h->root.def_regular || !h->root.forced_local))
+ {
+ indx = h->root.dynindx;
+ if (SGI_COMPAT (output_bfd))